Page MenuHomePhabricator

What's valuable, what's wrong with/How to improve OOUI? Way to OOUI v1.0.0
Closed, ResolvedPublicMay 18 2019

Description

This session is all about improving OOUI and meant as a lose exchange on concrete issues with it.

Background:
OOUI is more and more used as standard for the UI in the MediaWiki software and extensions. Before the version 1.0 will be released, lets talk about issues and problems that exist with it to improve it further. This is also meant as an informal follow up for T206078: Wikimedia Technical Conference 2018 Session - Standardizing front-end development tooling

Scheduled:
Saturday, 18 May, 2pm Computer Room 02 3NP

Notes (Etherpad):
https://etherpad.wikimedia.org/p/Hackathon_2019_OOUI_Open_Session

Further exchange
T213334: Road to OOUI v1.0.0

Direct follow-up task
T223810: Create an advanced tutorial for OOUI

Details

Due Date
May 18 2019, 12:00 PM

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 17 2019, 12:52 PM
WMDE-Fisch updated the task description. (Show Details)May 17 2019, 1:11 PM
WMDE-Fisch set Due Date to May 18 2019, 12:00 PM.May 17 2019, 2:43 PM
Restricted Application changed the subtype of this task from "Task" to "Deadline". · View Herald TranscriptMay 17 2019, 2:43 PM
Volker_E renamed this task from What's wrong with/How to improve OOUI? to What's valuable/What's & how to improve OOUI?.May 18 2019, 12:11 PM
Volker_E triaged this task as Normal priority.
Volker_E updated the task description. (Show Details)
Volker_E added a project: OOUI.
Volker_E renamed this task from What's valuable/What's & how to improve OOUI? to What's valuable, what's wrong with/How to improve OOUI? Way to OOUI v1.0.0.May 18 2019, 3:02 PM

@WMDE-Fisch: Did this session take place? If it did, please feel free to create any potential follow-up tasks and set the status of this task to "Resolved" via the Add Action...Change Status dropdown. Thanks a lot!

Yes, to wrap it up here: We had a productive exchange on OOUI, the protocol can be found in the Etherpad [1].

I'm not aware of follow up tasks here on Phabricator. Pinging @Volker_E and also @gabriel-wmde if something materialized from their side that's noteworthy here. I will leave this open for now.

{1] https://etherpad.wikimedia.org/p/Hackathon_2019_OOUI_Open_Session

Volker_E closed this task as Resolved.May 28 2019, 6:01 PM
Volker_E claimed this task.

Thanks @WMDE-Fisch for organizing this. It was productive indeed.
One follow-up initiative task to mention is @gabriel-wmde's T223810: Create an advanced tutorial for OOUI together with some other documentation ideas.
Another clearly connected task is T213334: Road to OOUI v1.0.0, for further exchange.

Volker_E updated the task description. (Show Details)May 28 2019, 6:03 PM